hwy::Sorter Class Reference

`#include <vqsort.h>`

## Public Member Functions

| Sorter ()
| ~Sorter ()
| Sorter (const Sorter &)=delete
Sorter & | operator= (const Sorter &)=delete
| Sorter (Sorter &&other)
Sorter & | operator= (Sorter &&other)
void | operator() (uint16_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (uint16_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (uint32_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (uint32_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (uint64_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (uint64_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (int16_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (int16_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (int32_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (int32_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (int64_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (int64_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (float *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (float *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (double *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (double *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (uint128_t *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (uint128_t *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (K64V64 *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (K64V64 *HWY_RESTRICT keys, size_t n, SortDescending) const
void | operator() (K32V32 *HWY_RESTRICT keys, size_t n, SortAscending) const
void | operator() (K32V32 *HWY_RESTRICT keys, size_t n, SortDescending) const

## Static Public Member Functions

static void | Fill24Bytes (const void *seed_heap, size_t seed_num, void *bytes)
static bool | HaveFloat64 ()

## Private Member Functions

void | Delete ()
template<typename T >
T * | Get () const

## Private Attributes

void * | ptr_ = nullptr

## Constructor & Destructor Documentation

## Sorter() [1/3]

hwy::Sorter::Sorter | ( |  | ) |

## ~Sorter()

hwy::Sorter::~Sorter | ( |  | ) |

inline

## Sorter() [2/3]

hwy::Sorter::Sorter | ( | const Sorter & |  | ) |

delete

## Sorter() [3/3]

hwy::Sorter::Sorter | ( | Sorter && | other | ) |

inline

## Member Function Documentation

## Delete()

void hwy::Sorter::Delete | ( |  | ) |

private

## Fill24Bytes()

static void hwy::Sorter::Fill24Bytes | ( | const void * | seed_heap,
|  | size_t | seed_num,
|  | void * | bytes
| ) |  |

static

## Get()

template<typename T >

T * hwy::Sorter::Get | ( |  | ) | const

inline private

## HaveFloat64()

static bool hwy::Sorter::HaveFloat64 | ( |  | ) |

static

## operator()() [1/22]

void hwy::Sorter::operator() | ( | double *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [2/22]

void hwy::Sorter::operator() | ( | double *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [3/22]

void hwy::Sorter::operator() | ( | float *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [4/22]

void hwy::Sorter::operator() | ( | float *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [5/22]

void hwy::Sorter::operator() | ( | int16_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [6/22]

void hwy::Sorter::operator() | ( | int16_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [7/22]

void hwy::Sorter::operator() | ( | int32_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [8/22]

void hwy::Sorter::operator() | ( | int32_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [9/22]

void hwy::Sorter::operator() | ( | int64_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [10/22]

void hwy::Sorter::operator() | ( | int64_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [11/22]

void hwy::Sorter::operator() | ( | K32V32 *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [12/22]

void hwy::Sorter::operator() | ( | K32V32 *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [13/22]

void hwy::Sorter::operator() | ( | K64V64 *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [14/22]

void hwy::Sorter::operator() | ( | K64V64 *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [15/22]

void hwy::Sorter::operator() | ( | uint128_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [16/22]

void hwy::Sorter::operator() | ( | uint128_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [17/22]

void hwy::Sorter::operator() | ( | uint16_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [18/22]

void hwy::Sorter::operator() | ( | uint16_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [19/22]

void hwy::Sorter::operator() | ( | uint32_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [20/22]

void hwy::Sorter::operator() | ( | uint32_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator()() [21/22]

void hwy::Sorter::operator() | ( | uint64_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortAscending |
| ) |  | const

## operator()() [22/22]

void hwy::Sorter::operator() | ( | uint64_t *HWY_RESTRICT | keys,
|  | size_t | n,
|  | SortDescending |
| ) |  | const

## operator=() [1/2]

Sorter & hwy::Sorter::operator= | ( | const Sorter & |  | ) |

delete

## operator=() [2/2]

Sorter & hwy::Sorter::operator= | ( | Sorter && | other | ) |

inline

## Member Data Documentation

## ptr_

void* hwy::Sorter::ptr_ = nullptr

private

The documentation for this class was generated from the following file:

- vqsort.h